# Get details of a Transaction v2

&#x20;[<mark style="color:blue;">Using your</mark> <mark style="color:blue;"></mark><mark style="color:blue;">`transaction_id`</mark><mark style="color:blue;">, you can fetch detailed information of a transaction.</mark>](#user-content-fn-1)[^1]

### URI \#

&#x20;<mark style="color:blue;background-color:blue;">**GET**</mark>&#x20;

```
https://api.tryduplo.com/v1/wallets/transactions/external/:transaction_id 
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="325"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code> </td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Query Param

<table data-header-hidden><thead><tr><th width="260"></th><th></th></tr></thead><tbody><tr><td><strong>business_id</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Merchant business ID</td></tr></tbody></table>

**Path Param**

<table><thead><tr><th width="261"></th><th width="409.33333333333326"></th><th></th></tr></thead><tbody><tr><td><strong>transaction_id</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Your external transaction_id generated by you.</td><td></td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request GET 'https://api.tryduplo.com/v1/wallets/transactions/external/:transaction_id?business_id={{business_id}} \
--header 'Authorization: Bearer SECRET_KEY'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');

var config = {
 method: 'get',
 url: 'https://api.tryduplo.com/v1/wallets/transactions/:transaction_ref?business_id={{business_id}},
 headers: {
   'Authorization': 'Bearer SECRET_KEY'
 }
};

axios(config)
.then(function (response) {
 console.log(JSON.stringify(response.data));
})
.catch(function (error) {
 console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => 'https://api.tryduplo.com/v1/wallets/transactions/external/:transaction_id ?business_id={{business_id}}',
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'GET',
 CURLOPT_HTTPHEADER => array(
   'Authorization: Bearer SECRET_KEY'
 ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
    "data": {
        "receiver_details": {
            "bank_name": "GUARANTY TRUST BANK",
            "account_number": "0017063684",
            "account_name": "ADEWALE USMAN A",
            "bank_code": "058"
        },
        "sync_status": "n/a",
        "currency": "NGN",
        "supporting_documents": [],
        "is_for_bill": false,
        "is_expense_account_transaction": false,
        "transaction_trail": [],
        "is_automated_settlement": false,
        "amount": 100,
        "description": "Testing v2 of send money",
        "business_id": "a1743536-e5e4-40fc-bd12-78a3de28677d",
        "status": "awaiting_otp_verification",
        "provider_ref_id": "",
        "channel": "nip",
        "type": "debit",
        "vat": null,
        "fee_amount": 0,
        "transaction_ref": "tran_bhtlyhhI5YwV",
        "settled_amount": 0,
        "date": "2024-01-23T16:51:04.134Z",
        "new_balance": 0,
        "category": "bank_transfer",
        "external_transaction_id": "12345678909",
        "account_type": "business account",
        "multiple_source_details": []
    },
    "errors": {},
    "message": "Record retrieved successfully"
}
```

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.tryduplo.com/duplo-api-documentation/payment-apis/make-payments-v2/get-details-of-a-transaction-v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
